Videos

Video Captions

Operations dealing with listing, adding and removing closed captions of a video.

List captions of a video

GET
https://peertube2.cpy.re/api/v1/videos/{id}/captions

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

x-peertube-video-passwordstringheader

Required on password protected video

Response

200OKobject

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
Show child attributes

language id of the video (see /videos/languages)

Example
en
labelstring
Example
English
automaticallyGeneratedboolean
captionPathstring | nulldeprecated

Deprecated in PeerTube v8.0, use fileUrl instead. Null if the file is stored in object storage: use the non-deprecated field instead.

fileUrlstring

PeerTube >= 7.1

m3u8Urlstring
updatedAtstring<date-time>

Generate a video caption

POST
https://peertube2.cpy.re/api/v1/videos/{id}/captions/generate

PeerTube >= 6.2 This feature has to be enabled by the administrator

Body

application/json
forceTranscriptionbooleanfalse

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

204No Content

successful operation

404Not Found

video not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user

Add or replace a video caption

PUT
https://peertube2.cpy.re/api/v1/videos/{id}/captions/{captionLanguage}

Body

multipart/form-data
multipart/form-dataobject
Encoding
captionfiletext/vtt, application/x-subrip, text/plain
captionfilestring<binary>

The file to upload.

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

captionLanguageVideoLanguageSetrequiredpath

The caption language

Response

204No Content

successful operation

404Not Found

video or language not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user

Delete a video caption

DELETE
https://peertube2.cpy.re/api/v1/videos/{id}/captions/{captionLanguage}

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

captionLanguageVideoLanguageSetrequiredpath

The caption language

Response

204No Content

successful operation

404Not Found

video or language or caption for that language not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user